Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CORBA_ContextList Class Reference

`#include <Context.h>`

Collaboration diagram for CORBA_ContextList:

[legend]
List of all members.

## Public Types
typedef CORBA::ContextList_ptr | _ptr_type
typedef CORBA::ContextList_var | _var_type
## Public Methods
| CORBA_ContextList (void)
| CORBA_ContextList (CORBA::ULong len, char **ctx_list)
| ~CORBA_ContextList (void)
CORBA::ULong | count (void)
CORBA_ContextList_ptr | _duplicate (void)
void | _destroy (void)
void | add (char *ctx)
void | add_consume (char *ctx)
char* | item (CORBA::ULong slot, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
void | remove (CORBA::ULong slot, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
void | _incr_refcnt (void)
void | _decr_refcnt (void)
## Static Public Methods
CORBA_ContextList_ptr | _duplicate (CORBA_ContextList *)
CORBA_ContextList_ptr | _nil ()
## Private Methods
| CORBA_ContextList (const CORBA_ContextList &)
CORBA_ContextList& | operator= (const CORBA_ContextList &)
## Private Attributes
ACE_Atomic_Op<TAO_SYNCH_MUTEX, CORBA::ULong> | ref_count_
ACE_Unbounded_Queue<char *> | ctx_list_

## Member Typedef Documentation

typedef CORBA::ContextList_ptr CORBA_ContextList::_ptr_type

typedef CORBA::ContextList_var CORBA_ContextList::_var_type

## Constructor & Destructor Documentation

ACE_INLINE CORBA_ContextList::CORBA_ContextList ( | void )

CORBA_ContextList::CORBA_ContextList ( | CORBA::ULong len,
| char ** ctx_list )

CORBA_ContextList::~CORBA_ContextList ( | void )

CORBA_ContextList::CORBA_ContextList ( | const CORBA_ContextList & )`[private]`

## Member Function Documentation

void CORBA_ContextList::_decr_refcnt ( | void )

void CORBA_ContextList::_destroy ( | void )

ACE_INLINE CORBA_ContextList * CORBA_ContextList::_duplicate ( | CORBA_ContextList * x )`[static]`

CORBA_ContextList_ptr CORBA_ContextList::_duplicate ( | void )

void CORBA_ContextList::_incr_refcnt ( | void )

ACE_INLINE CORBA_ContextList_ptr CORBA_ContextList::_nil ( | void )`[static]`

void CORBA_ContextList::add ( | char * ctx )

void CORBA_ContextList::add_consume ( | char * ctx )

ACE_INLINE CORBA::ULong CORBA_ContextList::count ( | void )

char* CORBA_ContextList::item ( | CORBA::ULong slot,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

CORBA_ContextList& CORBA_ContextList::operator= ( | const CORBA_ContextList & )`[private]`

void CORBA_ContextList::remove ( | CORBA::ULong slot,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

## Member Data Documentation

ACE_Unbounded_Queue< char *> CORBA_ContextList::ctx_list_`[private]`

ACE_Atomic_Op< TAO_SYNCH_MUTEX,CORBA::ULong > CORBA_ContextList::ref_count_`[private]`

The documentation for this class was generated from the following files:

- Context.h
- Context.cpp
- Context.inl